Bug 142350 - EDITING Autofilter enables (empty) filtering if filtering for 0 is also enabled in a range containing empty cells
Summary: EDITING Autofilter enables (empty) filtering if filtering for 0 is also enabl...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.2.0
Keywords: bibisectRequest, regression
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2021-05-18 12:29 UTC by NISZ LibreOffice Team
Modified: 2021-05-28 15:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Calc (8.14 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-05-18 12:29 UTC, NISZ LibreOffice Team
Details
The autofilter settings before applying them (83.04 KB, image/png)
2021-05-18 12:29 UTC, NISZ LibreOffice Team
Details
The autofilter after applying the settings (82.31 KB, image/png)
2021-05-18 12:29 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-18 12:29:00 UTC
Created attachment 172126 [details]
Example file from Calc

Attached example file contains some autofiltered number values and an empty cell.
When this column B is filtered for values that include 0 but not the (empty) entry, the (empty) entry also gets checked.

Steps to reproduce:
    1. Open attached file
    2. Drop down the autofilter on column B
    3. Uncheck the values 3, 4 and (empty) so tha 0, 1 and 2 are checked
    4. Click OK and drop down the autofilter again

Actual results:
The (empty) value is checked.

Expected results:
(empty) should stay unchecked. The row with the empty cell in column B should be visible.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b1099568ffe9ad199c3bf8f279bbac4d7ba445bb
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

We think this is a side effect from 

https://git.libreoffice.org/core/+/4fd1333ba4bb4f2311e9098291154772bd310429%5E%21
tdf#140968 tdf#140978 XLSX import: fix lost rounded filters
Comment 1 NISZ LibreOffice Team 2021-05-18 12:29:36 UTC
Created attachment 172127 [details]
The autofilter settings before applying them
Comment 2 NISZ LibreOffice Team 2021-05-18 12:29:54 UTC
Created attachment 172128 [details]
The autofilter after applying the settings
Comment 3 Commit Notification 2021-05-21 16:04:50 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/45a49b7a1b552f204e7b417cfbe2d86e4b169993

tdf#142350 sc AutoFilter: fix (empty) entry checking

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2021-05-28 15:24:08 UTC
It is ok now.
Checked in Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 42d2b2d55a27f11153ea1713737d93540a19211d
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded

Thanks for this.